﻿package {
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	import flash.events.MouseEvent;
	import net.ixdc.utils.StringUtils;

	public class ProperArabicTextAS3 extends Sprite {
		public var utils:StringUtils;
		public var scrollbar:CreateScrollBar;
		public var format:TextFormat;
		public function ProperArabicTextAS3() {
			utils = new StringUtils();
			//utils.wrapFactor = .8;
			//utils.embedFonts = false;
			//utils.hindiNumeralsOnly = true;
			format = new TextFormat();
			format.font = "Traditional Arabic";
			format.size = 18;
			format.align = "right";
			format.rightMargin = 4;
			//output2.setStyle("embedFonts",true);
			//output2.textField.embedFonts = true;
			//output2.textField.width = output2.width-22;
			var xmlLoader:URLLoader = new URLLoader();
			xmlLoader.addEventListener(Event.COMPLETE, showXML);
			xmlLoader.load(new URLRequest("arabic.xml"));
		}
		public function showXML(event:Event):void {
			XML.ignoreWhitespace = true; 
			var arabic:XML = new XML(event.target.data);
			//output2.htmlText = utils.parseArabic(arabic.text(), output2.textField, format);
			//output2.setStyle("textFormat", format);
			//output3.label = output2.text;
			//output3.setStyle("embedFonts",true);
			//output3.setStyle("textFormat", format);
			var output:TextField = new TextField();
			addChild(output);
			output.x = 30;
			output.y = 20;
			output.width = 450;
			output.height = 160;
			output.multiline = true;
			output.wordWrap = true;
			output.embedFonts = utils.embedFonts;
			output.border = true;
			var i:Number;
			var string = arabic.text();
			string = utils.parseArabic(string, output.width, format);
			output.htmlText = string;
			scrollbar = new CreateScrollBar(scroll, output);
			/*trace("numLines: "+utils.htmlLines.length);
			for (i = 0; i<utils.htmlLines.length; i++) {
				trace("line "+i+": "+utils.htmlLines[i]);
			}*/
		}
	}
}
